
nc0 = 10; % red detuned pump
nc1 = 0.2; % on resonance sideband


omegam = 2*pi*5.0e9;
gammaOM_nc1 = 2*pi*4e3;
gammaP_nc1 = 2*pi*1e3;
gammai = 2*pi*10e3;
gammaT = nc0*gammaOM_nc1 + (nc0+nc1)*gammaP_nc1 + gammai;
g = 2*pi*800e3;


alpha0 = sqrt(nc0);
alpha1 = sqrt(nc1);

omega = logspace(log10(omegam-10*gammaT), log10(omegam+10*gammaT), 1e4);

beta_Omega = -i*g*(alpha0*alpha1)./(i*(omegam-omega) + gammaT/2);
plot(omega/omegam, abs(beta_Omega));
xlim([0.1 10]);
xlabel('omega/omega_m'); ylabel('\beta_{-}');



beta_minus_t = ifft(beta_Omega);
plot(abs(beta_minus_t));
ylabel('\beta_{-}(t)');



b_dot = -(i*omegam + gammaT/2)*b - i*g*nc0 - sqrt(gammaT)*bin;