function [wm gamma]=fit_simpleLorentzian_mechanicsonly(f,Z)
% Needs estimates to be (very) close to actual values to converge, but still
% useful to plot the expected response on top of signal

% test3 fit 3 parameters, G, gammai, kappaE
% also, this considers single sided reflection
wm_est=5.312429893e9;
gamma_est= 10e3;

Znorm = abs(Z)-min(abs(Z));
Znorm = Znorm/max(Znorm);

p = lsqcurvefit(@(pp,xdata) simpleLorentzian(xdata,pp(1),pp(2)),[wm_est,gamma_est],f,Znorm,[wm_est-5e6,gamma_est-5e6],[wm_est+5e6,gamma_est+5e6]);

wm = p(1);
gamma = p(2);

Zfit = simpleLorentzian(f,wm,gamma);


figure;
plot(f,Znorm);
hold on;
plot(f,Zfit);


end

function out=simpleLorentzian(x,wm,gamma)
    out = 0.5.*gamma.*0.5.*gamma./((x-wm).^2+(0.5*gamma)^2);
    %out = tt';
end

% function out=simpleLorentzian(x,wm,gamma)
%     tt = 1/pi*0.5*gamma/((x-wm).^2+(0.5*gamma)^2);
%     out = tt';
% end