function [nc] = att2nc_arcturus(atten)

% if strcmp(side,'r')
%     omega = 1.210819663973222e+15;
% else
%     omega = 1.210887022914322e+15;
% end

%omega = 1.230376031256844e+15;
lambda0 = 1541.8497e-9;
det=1.7335e9;
etaKappa = 0.516;
etaCpl = 0.565;
Qt=129e3;
Pin_0dB = 12.77e-6;

c=299792458;
omega = 2*pi*c/lambda0;
f0 = omega/2/pi;
eta12 = 0.845;
kappa=f0/Qt;
kappaE = etaKappa*kappa;
hbar = 1.0545718e-34;

Pin_port1 = Pin_0dB*10^(-(atten)/10);

nc = (Pin_port1*eta12*etaCpl/(hbar*omega))*(2*pi*kappaE/((2*pi*det)^2 + (0.5*2*pi*kappa)^2));

end

