
allData = dir('nbar*.mat');
N = length(allData);
tbin = 25.6e-9;

ncArr = [];



ss = [];

for k = 1:N
    
    fn = allData(k).name;
    laser2atten = sscanf(fn(strfind(fn,['rep_']):end),['rep_%fdB*s']);
    nc = att2nc_arcturus(laser2atten);
    ncArr = [ncArr nc];
    
    ds = load(fn);
    nbar = ds.nbarArr;
    endBin = 808;
    nbarcrop = nbar(425:endBin);
    nss = mean(nbar(600:endBin));
    if nss < 5
        ss = [ss k];
%         nbarplot = nbarcrop;
%         NT = length(nbarplot);
%         tArr = tbin*[1:NT];
% 
%         plot(tArr, nbarplot, 'Color', colorArray(N-k+1,:));
%     
    end
end

figure();
hold on;
SS = length(ss);
colorArray = colormap(cool(SS));

for k = 1:SS
    ind = ss(k);
    fn = allData(ind).name;
    laser2atten = sscanf(fn(strfind(fn,['rep_']):end),['rep_%fdB*s']);
    nc = att2nc_arcturus(laser2atten);
    ncArr = [ncArr nc];
    
    ds = load(fn);
    nbar = ds.nbarArr;
    endBin = 808;
    nbarcrop = nbar(425:endBin);
    nss = mean(nbar(600:endBin));
    
    nbarplot = nbarcrop;
    NT = length(nbarplot);
    tArr = tbin*[0:NT-1];

    plot(tArr, nbarplot, 'Color', colorArray(SS-k+1,:));
    
    
end


xlabel('T_{pulse} (\mus)'); ylabel('n (phonons)');
colHandle = colorbar;
caxis([min(ncArr) max(ncArr)]);
set(gca,'YScale','log');
box on
ylim([0.4 15])
